## libhtml-parser-loncapa-perl 3.83.0

=== debian/changelog ===
libhtml-parser-loncapa-perl (3.83.0-9) unstable; urgency=low

  * Initial release.

 -- Stuart Raeburn <raeburn@loncapa.org>  Sun, 26 Oct 2025 14:44:00 -0400
